com.mockobjects.servlet

## Class MockHttpSession

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.servlet.MockHttpSession

All Implemented Interfaces:
  Verifiable

    public class MockHttpSession
    extends MockObject
    implements Verifiable

### Constructor Summary

Constructors
Constructor and Description
`MockHttpSession()`

### Method Summary

Methods
`java.lang.Object` `getAttribute(java.lang.String anAttributeName)`
`java.util.Enumeration` `getAttributeNames()`
`long` `getCreationTime()`
`java.lang.String` `getId()`
`long` `getLastAccessedTime()`
`int` `getMaxInactiveInterval()`
`ServletContext` `getServletContext()`
`HttpSessionContext` `getSessionContext()`
`java.lang.Object` `getValue(java.lang.String arg1)`
`java.lang.String[]` `getValueNames()`
`void` `invalidate()`
`boolean` `isNew()`
`void` `putValue(java.lang.String arg1, java.lang.Object arg2)`
`void` `removeAttribute(java.lang.String anAttributeName)`
`void` `removeValue(java.lang.String arg1)`
`void` `setAttribute(java.lang.String aKey, java.lang.Object aValue)`
`void` `setExpectedAttribute(java.lang.String aKey, java.lang.Object aValue)`
`void` `setExpectedRemoveAttribute(java.lang.String anAttributeName)`
`void` `setMaxInactiveInterval(int arg1)`
`void` `setupGetAttribute(java.lang.String key, java.lang.Object value)`
`void` `setupGetAttributeNames(java.util.Enumeration attributeNames)`
`void` `setupServletContext(ServletContext servletContext)`

### Methods inherited from class com.mockobjects.MockObject

`notImplemented, notYetImplemented, verify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.mockobjects.Verifiable

`verify`

### Constructor Detail

#### MockHttpSession

    public MockHttpSession()

### Method Detail

#### getAttribute

    public java.lang.Object getAttribute(java.lang.String anAttributeName)

#### setupGetAttributeNames

    public void setupGetAttributeNames(java.util.Enumeration attributeNames)

#### getAttributeNames

    public java.util.Enumeration getAttributeNames()

#### getCreationTime

    public long getCreationTime()

#### getId

    public java.lang.String getId()

#### getLastAccessedTime

    public long getLastAccessedTime()

#### getMaxInactiveInterval

    public int getMaxInactiveInterval()

#### getSessionContext

    public HttpSessionContext getSessionContext()

#### setupServletContext

    public void setupServletContext(ServletContext servletContext)

#### getServletContext

    public ServletContext getServletContext()

#### getValue

    public java.lang.Object getValue(java.lang.String arg1)

#### getValueNames

    public java.lang.String[] getValueNames()

#### invalidate

    public void invalidate()

#### isNew

    public boolean isNew()

#### putValue

    public void putValue(java.lang.String arg1,
                java.lang.Object arg2)

#### setExpectedRemoveAttribute

    public void setExpectedRemoveAttribute(java.lang.String anAttributeName)

#### removeAttribute

    public void removeAttribute(java.lang.String anAttributeName)

#### removeValue

    public void removeValue(java.lang.String arg1)

#### setupGetAttribute

    public void setupGetAttribute(java.lang.String key,
                         java.lang.Object value)

#### setAttribute

    public void setAttribute(java.lang.String aKey,
                    java.lang.Object aValue)

#### setExpectedAttribute

    public void setExpectedAttribute(java.lang.String aKey,
                            java.lang.Object aValue)

#### setMaxInactiveInterval

    public void setMaxInactiveInterval(int arg1)